Subject: bug#21982: 25.1.50; Building emacs-25 branch fails

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Nov 2015 19:57:32 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 24 Nov 2015 18:48:09 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Can you run Emacs under valgrind?  It should be able to find the
> > offending code.  (I assume that just running by hand the single
> > command that aborts is sufficient to reproduce the problem.)
> 
> I would first have to learn how to do that.

Perhaps Paul could help you.

> I did something different in the meantime.  I bisected again, but with
> version.el fix from the first bad commit.  This leaded to
> 
> --8<---------------cut here---------------start------------->8---
> a4c6f55b9a222849a1c5d590589b1f8f0627d6f8 is the first bad commit
> commit a4c6f55b9a222849a1c5d590589b1f8f0627d6f8
> Author: Dmitry Gutov <[email-masked]>
> Date:   Sun Nov 15 07:00:45 2015 +0200
>     Unify the absolutely equal xref-backend-references implementations
>     
>     * lisp/progmodes/elisp-mode.el (xref-backend-references):
>     Remove.
>     
>     * lisp/progmodes/etags.el (xref-backend-references):
>     Remove.
>     
>     * lisp/progmodes/xref.el (xref-backend-references):
>     Define the default implementation.
> --8<---------------cut here---------------end--------------->8---
> 
> So, this is the commit that caused the change in version.el to break
> Emacs.  Dunno if this is the end of the chain.
> 
> Is this information useful?

I don't see how this could be relevant.  In particular, this commit
doesn't touch version.el.  How could it cause a change in version.el?
What am I missing?